* {
  outline: none;
  border: none;
  box-sizing: border-box;
  cursor: default;
}

body {
  margin: 0;
  overflow: hidden;
  background: white;
}

div.game {
  width: 100vw;
  height: 100vh;
  display: none;
}

div.interact {
  width: 100vw;
  height: 100vh;
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: monospace;
  font-weight: bold;
  font-size: max(1.5vw, 2.5vh);
  text-align: center;
  color: black;
}

div.interact p {
  margin: 0;
}

div.loader {
  width: 100vw;
  height: 100vh;
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(#000000, #0066ff);
}

img.logo {
  display: block;
  max-width: 60vw;
  max-height: 40vh;
}

div.spinner,
div.spinner:after {
  display: none;
  border-radius: 50%;
  width: 5em;
  height: 5em;
}

div.spinner {
  margin: 10px;
  font-size: 10px;
  position: relative;
  text-indent: -9999em;
  border: 1.1em solid #ffffff33;
  border-left: 1.1em solid #ffffff;
  transform: translateZ(0);
  animation: spinner-spin 1.1s infinite linear;
}

@keyframes spinner-spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

div.progress {
  margin-top: 24px;
  max-width: 436px;
  height: auto;
  display: none;
  position: relative;
  width: min(436px, 90vw);
}

div.posfull {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 8px;
  z-index: 1;
  width: 100%;
}

div.posbox {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0;
  z-index: 2;
  width: 100%;
}

img.back {
  width: 97%;
  transform-origin: top left;
  display: block;
}

img.front {
  width: 100%;
  display: block;
}